routes/web.php
<?php

use App\Http\Controllers\Admin;
use App\Http\Controllers\Supplier;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\POSController;
use App\Http\Controllers\SiteController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\OrderController;
use App\Http\Controllers\Admin\StockController;
use App\Http\Controllers\Admin\PurchaseController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [SiteController::class, 'index'])->name('index');
Route::get('/home', [SiteController::class, 'home'])
    ->name('home')
    ->middleware('auth');
Route::get('/404', [SiteController::class, 'notFound'])->name('404');

Route::controller(POSController::class)
    ->middleware('cashier')
    ->prefix('/pos')
    ->name('pos.')
    ->group(function () {
        Route::get('/', 'index')->name('index');
        Route::post('/select-customer', 'selectCustomer')->name('customer.select');
        Route::post('/new-customer', 'createCustomer')->name('customer.create');
        Route::post('/no-customer', 'emptyCustomer')->name('customer.none');

        Route::get('/order/{order}', 'order')->name('order');
        Route::post('/order/{order}/status', 'changeStatus')->name('status');
        Route::post('/order/{order}/products', 'addProduct')->name('products.store');
        Route::get('/order/{order}/{product_order}/delete', 'deleteProduct')->name('products.delete');
        Route::post('/order/{order}/quantity', 'updateQuantity')->name('quantity');
    });

Route::middleware(['auth', 'admin'])->prefix('/admin')->name('admin.')->group(function () {
    Route::get('/', [Admin\AdminController::class, 'index'])->name('index');

    //CRUD
    Route::resource('categories', Admin\CategoryController::class);
    Route::resource('suppliers', Admin\SupplierController::class);
    Route::resource('customers', Admin\CustomerController::class);

    Route::controller(Admin\ProductController::class)->name('products.')->group(function () {
        Route::get('products/{product}/variants', 'variants')->name('variants');
        Route::post('products/{product}/variants', 'addVariant')->name('variants');
        Route::delete('products/{product}/variants/{variant}', 'removeVariant')->name('variants.delete');
        Route::get('products/search', 'search')->name('search');
    });

    Route::resource('products', Admin\ProductController::class);
    Route::get('batches/{batch}/products', [Admin\BatchController::class, 'products'])->name('batches.products.index');
    Route::post('batches/{batch}/products', [Admin\BatchController::class, 'addProduct'])->name('batches.products.store');
    Route::delete('batches/{batch}/products/{batchproduct}', [Admin\BatchController::class, 'deleteProduct'])->name('batches.products.destory');
    Route::resource('batches', Admin\BatchController::class);
    Route::resource('batchproducts', Admin\BatchProductController::class);
    Route::resource('stocks', Admin\StockController::class);

    Route::get('purchases/supplies', [Admin\PurchaseController::class, 'supplies'])->name('purchases.supplies.index');
    Route::get('purchases/{purchase}/approve', [Admin\PurchaseController::class, 'approve'])->name('purchases.supplies.approve');
    Route::delete('purchases/{purchase}/decline', [Admin\PurchaseController::class, 'decline'])->name('purchases.supplies.decline');
    Route::resource('purchases', Admin\PurchaseController::class);

    Route::resource('users', Admin\UserController::class);
    Route::prefix('orders')->name('orders.')->controller(Admin\OrderController::class)->group(function () {
        Route::post('{order}/status', 'changeStatus')->name('status');
        Route::post('{order}/products', 'addProduct')->name('products.store');
        Route::get('{order}/{product_order}/quantity', 'editQuantity')->name('products.quantity');
        Route::post('{order}/{product_order}/quantity', 'updateQuantity');
        Route::get('{order}/{product_order}/delete', 'deleteProduct')->name('products.delete');
    });
    Route::resource('orders', Admin\OrderController::class);

    Route::get('/reports', [Admin\ReportController::class, 'index'])->name('reports.index');
    Route::get('/reports/view', [Admin\ReportController::class, 'view'])->name('reports.view');
});


Route::middleware(['auth', 'supplier'])->prefix('/supplier')->name('supplier.')->group(function () {
    Route::get('/', [Supplier\SupplierController::class, 'index'])->name('index');


    //CRUD
    Route::controller(Supplier\ProductController::class)->name('products.')->group(function () {
        Route::get('products/{product}/variants', 'variants')->name('variants');
        Route::post('products/{product}/variants', 'addVariant')->name('variants');
        Route::delete('products/{product}/variants/{variant}', 'removeVariant')->name('variants.delete');
        Route::get('products/search', 'search')->name('search');
    });
    Route::resource('products', Supplier\ProductController::class);
    Route::resource('purchases', Supplier\PurchaseController::class);
    Route::resource('suppliers', SupplierController::class);
    Route::resource('variants', \App\Http\Controllers\Supplier\ProductController::class);
    // Route::resource('customers', CustomerController::class);
    // Route::resource('products', ProductController::class);
    // Route::resource('variants', VariantController::class);
});

app/Http/Controllers/Admin/ProductController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Models\Product;
use Illuminate\Http\Request;
use App\Services\MediaService;
use Illuminate\Support\Carbon;
use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Stock;
use App\Models\Supplier;
use App\Models\Variant;

class ProductController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $products = Product::withSum('stocks', 'quantity')->simplePaginate(10);

        return view('admin.products.index', compact('products'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $categories = Category::all();
        $suppliers = Supplier::all();

        return view('admin.products.create', compact('categories', 'suppliers'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => ['required', 'unique:categories,name'],
            'category_id' => ['required'],
            'supplier_id' => ['required'],
            'code' => ['required'],
            'buying_price' => ['required', 'integer', 'min:1'],
            'selling_price' => ['required', 'integer', 'min:1'],
            'quantity' => ['required', 'integer', 'min:1'],
            'buying_date' => ['required', 'date'],
            'image' => ['nullable', 'image', 'mimes:png,jpeg,gif'],
        ]);

        if ($request->hasFile('image')) {
            $media_id = MediaService::upload($request->file('image'), "products");
        }

        $product = Product::create([
            'name' => $request->name,
            'category_id' => $request->category_id,
            'supplier_id' => $request->supplier_id,
            'code' => $request->code,
            'buying_price' => $request->buying_price,
            'selling_price' => $request->selling_price,
            'buying_date' => Carbon::parse($request->buying_date)->format('Y-m-d'),
            'media_id' => $media_id ?? null,
        ]);

        Stock::create([
            'product_id' => $product->id,
            'quantity' => $request->quantity,
        ]);

        return redirect()->route('admin.products.index')
            ->with('success', 'Product Created Successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function show(Product $product)
    {
        $product->loadSum('stocks', 'quantity');

        return view('admin.products.show', compact('product'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function edit(Product $product)
    {
        $categories = Category::all();
        $suppliers = Supplier::all();

        return view('admin.products.edit', compact('product', 'categories', 'suppliers'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Product $product)
    {
        $request->validate([
            'name' => ['required'],
            'category_id' => ['required'],
            'supplier_id' => ['required'],
            'code' => ['required'],
            'buying_price' => ['required'],
            'selling_price' => ['required'],
            'quantity' => ['required'],
            'buying_date' => ['required', 'date'],

        ]);


        $product->update([
            'name' => $request->name,
            'category_id' => $request->category_id,
            'supplier_id' => $request->supplier_id,
            'code' => $request->code,
            'buying_price' => $request->buying_price,
            'selling_price' => $request->selling_price,
            'quantity' => $request->quantity,
            'buying_date' => Carbon::parse($request->buying_date)->format('Y-m-d'),

        ]);

        return redirect()->route('admin.products.index')
            ->with('success', 'Product Updated Successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function destroy(Product $product)
    {
        $product->delete();

        return redirect()->route('admin.products.index')
            ->with('success', 'Product Deleted Successfully!');
    }

    public function search(Request $request)
    {
        if (empty($request->q)) {
            return redirect()->route('admin.products.index');
        }

        $search = trim(strip_tags($request->q));

        $products = Product::where('name', 'LIKE', '%' . $search . '%')
            ->withSum('stocks', 'quantity')
            ->get();

        return view('admin.products.search', compact('products', 'search'));
    }

    public function variants(Product $product)
    {
        $products = Variant::where('product_id', $product->id)
            ->orWhere('variant_id', $product->id)
            ->get();

        $all_products = Product::where('id', '!=', $product->id)->get();

        return view('admin.products.variants', compact('products', 'all_products', 'product'));
    }

    public function addVariant(Request $request, Product $product)
    {
        $request->validate([
            'product_id' => ['required', 'exists:products,id'],
        ]);

        // Check if already exists
        $check1 = Variant::where([
            'product_id' => $product->id,
            'variant_id' => $request->product_id,
        ])->count();

        $check2 = Variant::where([
            'product_id' => $request->product_id,
            'variant_id' => $product->id,
        ])->count();

        if ($check1 != 0 || $check2 != 0) {
            return redirect()->route('admin.products.variants', $product)
                ->with('error', 'Duplicate entry found! This product is already an variant!');
        }

        Variant::create([
            'product_id' => $product->id,
            'variant_id' => $request->product_id,
        ]);

        return redirect()->route('admin.products.variants', $product)
            ->with('success', 'Variant added successfully!');
    }

    public function removeVariant(Product $product, Variant $variant)
    {
        $variant->delete();

        return redirect()->route('admin.products.variants', $product)
            ->with('success', 'Variant has been removed successfully!');
    }
}

app/Http/Controllers/Admin/SupplierController.php
<?php

namespace App\Http\Controllers\Admin;


use App\Models\User;
use App\Models\Supplier;
use Illuminate\Http\Request;
use App\Services\MediaService;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Storage;


class SupplierController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $suppliers = Supplier::simplePaginate(5);

        return view('admin.suppliers.index', compact('suppliers'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.suppliers.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => ['required', 'regex:/^[a-zA-z ]{1,}$/'],
            'email' => ['required', 'email', 'unique:users,email', 'regex:/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix'],
            'password' => ['required'],
            'address' => ['required'],
            'phone' => ['required', 'numeric', 'digits:10', 'unique:suppliers,phonenumber', 'regex:/((98)|(97))(\d){8}/'],
            'shop_name' => ['required', 'regex:/^[a-zA-z ]{1,}$/'],
            'image' => ['nullable', 'image', 'mimes:png,jpeg,gif'],
        ]);

        if ($request->hasFile('image')) {
            $media_id = MediaService::upload($request->file('image'), "suppliers");
        }

        DB::transaction(function () use ($request, $media_id) {
            $user = User::create([
                'name' => $request->name,
                'email' => $request->email,
                'password' => bcrypt($request->password),
                'role' => 'Supplier',
            ]);

            Supplier::create([
                'name' => $request->name,
                'address' => $request->address,
                'phone' => $request->phone,
                'shop_name' => $request->shop_name,
                'user_id' => $user->id,
                'media_id' => $media_id ?? null,
            ]);
        });

        return redirect()->route('admin.suppliers.index')
            ->with('success', 'Supplier Created Successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Supplier  $supplier
     * @return \Illuminate\Http\Response
     */
    public function show(Supplier $supplier)
    {
        return view('admin.suppliers.show', compact('supplier'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Supplier  $supplier
     * @return \Illuminate\Http\Response
     */
    public function edit(Supplier $supplier)
    {
        return view('admin.suppliers.edit', compact('supplier'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Supplier  $supplier
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Supplier $supplier)
    {
        $request->validate([
            'name' => ['required'],
            'email' => ['required', 'regex:/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix'],
            'password' => ['required'],
            'address' => ['required'],
            'phone' => ['required'],
            'shop_name' => ['required'],

        ]);


        $supplier->update([
            'name' => $request->name,
            'email' => $request->email,
            'password' => $request->password,
            'address' => $request->address,
            'phone' => $request->phone,
            'shop_name' => $request->shop_name,

        ]);

        return redirect()->route('admin.suppliers.index')
            ->with('success', 'Supplier Updated Successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Supplier  $supplier
     * @return \Illuminate\Http\Response
     */
    public function destroy(Supplier $supplier)
    {
        $supplier->delete();

        return redirect()->route('admin.suppliers.index')
            ->with('success', 'Supplier Deleted Successfully!');
    }
}

app/Http/Controllers/Supplier/SupplierController.php
<?php

namespace App\Http\Controllers\Supplier;


use App\Models\Product;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SupplierController extends Controller
{
    public function index()
    {
        $count = [
            'product' => Product::where('supplier_id', auth()->user()->supplier->id)->count(),
        ];

        return view('supplier.index', compact('count'));
    }
}

resources/views/supplier/products/index.blade.php
@extends('supplier.layout')

@section('title', 'Products')

@section('content')

<x-alert />

<form action="{{ route('supplier.products.search')}}" method="GET" role="search">

    <div class="input-group mb-4">
        <input type="text"  name="q" class="form-control" placeholder="Type Name..">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary" type="submit">
            <span class="fas fa-search"></span>
          </button>
        </div>
      </div>

</form>

<div class="card">
    <div class="card-header">

        <h3 class="card-title" style="font-size: 1.5rem;line-height:1.8;font-weight:bold">
            All Products 
        </h3>

        <div class="card-tools">

            


            <a class="btn btn-outline-secondary" href="{{ route('supplier.products.create') }}"> 
                <i class="fas fa-plus-circle mr-2"></i>Add New</a>
        </div>

    </div>

      <div class="card-body p-0">
          <table class="table table-bordered table-striped">
              <thead class="bg-secondary">
                  <tr>
                      <th>ID</th>
                      <th>Name</th>
                      <th>Category</th>
                      <th>Quantity</th>
                      <th>Product Image</th>
                      <th> Action</th>
                     
                  </tr>
              </thead>

              <tbody>
                  @foreach ($products as $product)
                  <tr>
                      <td>{{ $product->id }}</td>
                      <td>{{ $product->name }}</td>
                      <td>{{ $product->category->name }}</td>
                      <td>{{ $product->stocks_sum_quantity ?? 0 }}</td>
                      
                      <td>
                          @if ($product->media)
                              <img src="/storage/{{ $product->media->path }}" height="70px" />
                          @endif
                      </td>
                      
                      <td>
                          <a class="btn btn-outline-secondary btn-sm" href="{{ route('supplier.products.show', $product) }}">
                           
                            <i class="fas fa-eye mr-2"></i>
                            Details

                           </a>

                           <a class="btn btn-outline-secondary btn-sm" href="{{ route('supplier.products.variants', $product) }}">
                            <i class="fas fa-layer-group mr-2"></i>
                            Variants
                           </a>

                           <a class="btn btn-outline-secondary btn-sm" href="{{ route('supplier.products.edit', $product) }}">
                           
                            <i class="fas fa-edit mr-2"></i>
                            Edit

                           </a>
                           

                          
                      </td>
                  </tr>
                      
                  @endforeach
              </tbody>
          </table>
          @if(count($products) == 0)
          <div class="alert alert-warning text-center mb-0">
              No Items Found!
          </div>
          @endif
      </div>

      <div class="card-footer">
        {{ $products->links() }}
      </div>
         

      </div>

</div>

@endsection

resources/views/supplier/products/search.blade.php
@extends('supplier.layout')

@section('title', 'Searching Products')

@section('content')

<x-alert />

<form action="{{ route('supplier.products.search') }}" method="GET" role="search">

    <div class="input-group mb-4">
        <input type="text" class="form-control" name="q" placeholder="Type Name.." value="{{ $search }}">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary" type="submit">
            <span class="fas fa-search"></span>
          </button>
        </div>
      </div>

</form>

<div class="card">
    <div class="card-header">

        <h3 class="card-title" style="font-size: 1.5rem;line-height:1.8;font-weight:bold">
            Searching for: {{ $search }}
        </h3>

        <div class="card-tools">
            <a class="btn btn-outline-secondary" href="{{ route('supplier.products.create') }}">
                <i class="fas fa-plus-circle mr-2"></i>
                Add New
            </a>
        </div>

    </div>

      <div class="card-body p-0">
          <table class="table table-bordered table-striped">
              <thead class="bg-secondary">
                  <tr>
                      <th>ID</th>
                      <th>Name</th>
                      <th>Category</th>
                      <th>Stock</th>
                      <th>Image</th>
                      <th>Action</th>
                  </tr>
              </thead>

              <tbody>
                  @foreach ($products as $product)
                  <tr>
                      <td>{{ $product->id }}</td>
                      <td>{{ $product->name }}</td>
                      <td>{{ $product->category->name }}</td>
                      <td>
                        ({{ $product->stocks_sum_quantity ?? 0 }})
                      </td>

                      <td>
                          @if ($product->media)
                              <img src="/storage/{{ $product->media->path }}" height="70px" />
                          @endif
                      </td>

                      <td>
                          <a class="btn btn-outline-secondary btn-sm" href="{{ route('supplier.products.show', $product) }}">
                            <i class="fas fa-eye mr-2"></i>
                            Details
                           </a>
                           <a class="btn btn-outline-secondary btn-sm" href="{{ route('supplier.products.variants', $product) }}">
                            <i class="fas fa-layer-group mr-2"></i>
                            Variants
                           </a>
                           <a class="btn btn-outline-secondary btn-sm" href="{{ route('supplier.products.edit', $product) }}">
                            <i class="fas fa-edit mr-2"></i>
                            Edit
                           </a>
                      </td>
                  </tr>

                  @endforeach
              </tbody>
          </table>

          @if(count($products) == 0)
          <div class="alert alert-warning text-center mb-0">
              No Items Found!
          </div>
          @endif


      </div>

</div>

@endsection

resources/views/supplier/products/show.blade.php
@extends('Supplier.layout')

@section('title', 'Product Details')

@section('content')

<x-alert />

<div class="card">
    <div class="card-header">

        <h3 class="card-title" style="font-size: 1.5rem;line-height:1.8;font-weight:bold">
            Product Details
        </h3>

        <div class="card-tools">
            <a class="btn btn-outline-secondary" href="{{ route('supplier.products.index') }}"> 
                <i class="fas fa-arrow-circle-left mr-2"></i>
                Go Back
            </a>
        </div>

    </div>

      <div class="row card-body p-0">
          <div class="col">
          <table class="table table-bordered table-striped">
              <tr>
                  <th style="width: 50%">ID</th>
                  <td>{{ $product->id }}</td>

              </tr>
              <tr>
                <th>Name</th>
                <td>{{ $product->name }}</td>
                
            </tr>
            <tr>
                <th>Category</th>
                <td>{{ $product->category->name }}</td>
                
            </tr>
            <tr>
                <th>Supplier</th>
                <td>{{ $product->supplier->name }}</td>
                
            </tr>
            <tr>
                <th>Code</th>
                <td>{{ $product->code }}</td>
                
            </tr>
            <tr>
                <th>Unit Price</th>
                <td>{{ $product->buying_price }}</td>
                
            </tr>
            <tr>
                <th>Unit Selling Price</th>
                <td>{{ $product->selling_price }}</td>
                
            </tr>
           
            <tr>
                <th>Quantity</th>
                <td>{{ $product->quantity }}</td>
                
            </tr>
            <tr>
                <th>Buying Date</th>
                <td>{{ $product->buying_date }}</td>
                
            </tr>
            
            <tr>
                <th>Created</th>
                <td>{{ $product->created_at }}</td>
                
            </tr>
            <tr>
                <th>Updated</th>
                <td>{{ $product->updated_at }}</td>
                
            </tr>
          </table>
          
      </div>

      <div class="col">
          <h1 style="text-align: center">{{ $product->name }}</h1>
             @if ($product->media)
                <img src="/storage/{{ $product->media->path }}" height="500px" />
            @endif

      </div>
     
      
      </div>

</div>

@endsection

resources/views/supplier/products/variants.blade.php
@extends('supplier.layout')
@section('title','Product Variants')

@section('css')
<link rel="stylesheet" href="{{ asset('vendor/select2/css/select2.min.css') }}">
@endsection

@section('js')
<script src="{{ asset('vendor/select2/js/select2.min.js') }}"></script>
<script>
$(document).ready(function() {
    $('#product_id').select2();
});
</script>
@endsection

@section('content')

<x-alert />

<div class="card">
    <div class="card-header">
        <h3 class="card-title" style="font-size:1.3rem;line-height:1.8;font-weight:bold">
            Product Variants: {{ $product->name }}
        </h3>
        <div class="card-tools">
            <a class="btn btn-outline-secondary" href="{{ route('supplier.products.index') }}">
            <i class="fas fa-arrow-circle-left mr-2"></i>
                Go Back
            </a>
        </div>
    </div>

    <div class="card-body">
        <form action="{{ route('supplier.products.variants', $product) }}" method="post">
            @csrf

            <div class="row">
                <div class="col-md-10">
                    <x-input
                        type="select"
                        field="product_id"
                        text="Product"
                        :options="$all_products"
                    />
                </div>
                <div class="col-md-2">
                    <div class="form-group">
                        <label for="">&nbsp;</label><br>
                        <button type="submit" class="btn btn-primary">
                            Add Variant
                        </button>
                    </div>
                </div>
            </div>
        </form>
    </div>

    <div class="card-body p-0">
        <table class="table table-bordered">
            <thead class="bg-primary">
                <tr>
                    <th style="width: 100px">S.N</th>
                    <th>Variant</th>
                    <th>Price</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @forelse($products as $pro)
                <tr>
                    <td>{{ $loop->index + 1 }}</td>
                    <td>{{ $pro->product_id == $product->id ? $pro->variant?->name : $pro->product?->name }}</td>
                    <td>Rs. {{ $pro->product_id == $product->id ? $pro->variant?->selling_price : $pro->product?->selling_price  }}</td>
                    <td>
                        <form action="{{ route('supplier.products.variants.delete', [$product, $pro]) }}" method="post">
                            @method('DELETE')
                            @csrf
                            <button class="btn btn-danger btn-sm">
                                <i class="fas fa-fw fa-trash mr-2"></i>
                                <span>Delete</span>
                            </button>
                        </form>
                    </td>
                </tr>
                @empty
                <tr>
                    <td colspan="3" style="text-align: center">
                       There are no variants added for this product!
                    </td>
                </tr>
                @endforelse
            </tbody>
        </table>
    </div>
</div>

<style>
    .block-margin .form-group {
        margin-bottom: 0!important;
    }
</style>
@endsection